using System;

namespace Server.Items
{
	[Furniture]
	[Flipable(3941, 3942, 3943, 3944, 3945, 3946, 3953, 3954, 3955, 3956, 3957, 3958)]
	public class Easle : Item
	{
		[Constructable]
		public Easle() : base(3942)
		{
			Weight = 25.0;
		}

		public Easle(Serial serial) : base(serial)
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();

			if ( Weight == 10.0 )
				Weight = 25.0;
		}
	}
}